// required start
@import 'custom';
@import '~bootstrap/scss/functions';
@import '~bootstrap/scss/variables';
@import '~bootstrap/scss/mixins';
// required end
@import "stresstest/button";
@import "stresstest/images";
@import "stresstest/general";
@import "stresstest/modal";
@import "stresstest/override";

body {
    background-color: #E8F7FF;
    background: radial-gradient(62.13% 28.69% at 47.47% 31.96%, #FFFFFF 0%, rgba(255, 255, 255, 0) 100%), #E8F7FF;
}

.lct {
    &__stress_test {
        background-image: url(../images/stresstest/orn-cloud-2.png);
        background-position: 50% 100%;
        background-repeat: no-repeat;
        background-size: auto 100px;

        &__outer {
            .container {
                background-image: url(../images/stresstest/orn-profile-mobile.png);
                background-position: 50% 10%;
                background-repeat: no-repeat;
                background-size: 100% auto;
            }

            picture {
                margin-left: auto;
                margin-right: auto;

                &.logo {
                    &__main {
                        max-width: 200px;
                    }
                }
            }

            button {
                width: 100%;
            }
        }
        
        @include media-breakpoint-up(md) {
            background-size: 100% auto;

            &__outer {
                .container {
                    background-image: url(../images/stresstest/orn-profile-desktop.png);
                    background-position: 50%;
                }

                button {
                    width: 270px;
                }
            }
        }

        @include media-breakpoint-up(xl){
            &__outer {
                .container {
                    background-position: 50% 40%;
                    background-size: 70% auto;
                }
            }
        }
    }
}

.stresstest-form {
    margin: 1rem auto 0;
    // max-width: 80%;

    label,
    legend {
        margin-bottom: 12px;
        font-size: 14px;
        font-weight: bold;
        letter-spacing: .5px;
        color: #348CD5;
    }

    input {
        border-color: #f2f2f2;
        padding: 1.5rem;
        border-radius: 40px;
        box-shadow: 0px 3px 20px -5px rgba(103, 151, 179, 0.35);

        &::placeholder {
            color: #ccc;
        }
    }

    fieldset {
        margin-bottom: .5rem;

        .form-group {
            // flex: 0 0 49%;
            // max-width: 49%;
            padding: 0 .5rem;
            float: left;
            width: 50%;

            .age-label {
                display: block;
                margin-bottom: 0;
                border-radius: 8px;
                position: relative;
                transition: all 100ms linear;
                cursor: pointer;
                
                &:before {
                    content: "";
                    display: block;
                    height: 0;
                    padding-bottom: 90%;
                }
        
                svg {
                    position: absolute;
                    display: block;
                    top: 50%;
                    left: 50%;
                    width: 65%;
                    transform: translate(-50%, -50%);
                }
    
                &.age-label_1-3 {
                    background-color: #05B7CB;
                    background: linear-gradient(351.55deg, #0554CB -54.48%, rgba(255, 255, 255, 0) 245.11%), #05B7CB;
                }
    
                &.age-label_4-5 {
                    background-color: #0038AA;
                    background: linear-gradient(166.45deg, #896EBF 2.43%, #0038AA 152.73%);
                }
            }

            &.is-not-checked {
                .age-label {
                    opacity: 0.25;
                }
            }
        }
    
        
    }

    .form-info--wrapper {
        color: #5A7C8E;
        margin-top: 1.5rem;

        h4 {
            font-size: 14px;
        }

        p {
            margin-bottom: 0;
            font-size: 10px;
            letter-spacing: .75px;
        }
    }

    .button--wrapper {
        .btn {
            padding-left: 1.5rem;
            padding-right: 1.5rem;
        }
    }

    @media screen and (min-width: 375px) and (min-height: 667px){
        .input--wrapper {
            margin-bottom: 7rem;
        }
    }

    @include media-breakpoint-up(lg) {
        max-width: 300px;

        .input--wrapper {
            margin-bottom: 7rem;
        }

        .form-info--wrapper {
            margin-top: 2rem;
        }
    }

    @media screen and (min-width: 1280px) and (max-height: 620px){
        .input--wrapper {
            margin-bottom: 2rem;
        }
    }
}